--- old/usr/src/tools/scripts/nightly.sh	2013-08-15 11:59:22.766168056 -0400
+++ new/usr/src/tools/scripts/nightly.sh	2013-08-15 11:59:22.771055286 -0400
@@ -893,29 +893,14 @@
 
 #
 # Verify that the closed tree is present if it needs to be.
-# Sets CLOSED_IS_PRESENT for future use.
 #
 function check_closed_tree {
-	if [ -z "$CLOSED_IS_PRESENT" ]; then
-		if [ -d $CODEMGR_WS/usr/closed ]; then
-			CLOSED_IS_PRESENT="yes"
-		else
-			CLOSED_IS_PRESENT="no"
-		fi
-		export CLOSED_IS_PRESENT
-	fi
-	if [[ "$CLOSED_IS_PRESENT" = no && ! -d "$ON_CLOSED_BINS" ]]; then
-		#
-		# If it's an old (pre-split) tree or an empty
-		# workspace, don't complain.
-		#
-		if grep -s CLOSED_BUILD $SRC/Makefile.master > /dev/null; then
-			echo "If the closed sources are not present," \
-			    "ON_CLOSED_BINS"
-			echo "must point to the closed binaries tree."
-			build_ok=n
-			exit 1
-		fi
+	if [[ ! -d "$ON_CLOSED_BINS" ]]; then
+		echo "If the closed sources are not present," \
+		    "ON_CLOSED_BINS"
+		echo "must point to the closed binaries tree."
+		build_ok=n
+		exit 1
 	fi
 }
 
